{ pkgs }: name: src: let 
  drv = { runtimeInputs ? [], }: 
    pkgs.stdenvNoCC.mkDerivation {
      inherit name src;
      
      version = "0.0.0";
      dontUnpack = true;

      nativeBuildInputs = runtimeInputs;

      installPhase = "
        mkdir -p $out/bin
        cp -r $src $out/bin/${name}
      ";
    }; 
in pkgs.lib.customisation.makeOverridable drv { runtimeInputs = []; }